local wezterm = require 'wezterm'
local config = wezterm.config_builder()
local act = wezterm.action
local io = require 'io'
local os = require 'os'

config.enable_wayland = false;
-- config.front_end = "WebGpu";

config.font_size = 14
config.font = wezterm.font {
  family = 'IBM Plex Mono',
  weight = 'Medium'
}

-- config.enable_scroll_bar = true

config.color_scheme = 'Adventure'
config.colors = {
  background = "#111111",
  tab_bar = {
    background = "#111111",
    inactive_tab = {
      fg_color = "#444444",
      bg_color = "#111111"
    }
  }
}

config.background = {
  {
    source = {
      Color = '#111111'
    },
    width = "100%",
    height = "100%",
    opacity = 1
  }
}

config.window_decorations = "RESIZE"

config.window_padding = {
  left = 4,
  right = 4,
  top = 4,
  bottom = 4,
}

config.cursor_thickness = 2
config.default_cursor_style = 'SteadyBar'
config.enable_tab_bar = false;

config.enable_kitty_keyboard = true

config.skip_close_confirmation_for_processes_named = {
  'bash',
  'sh',
  'zsh',
  'fish',
  'bluetuith',
  'yazi',
  'btop++',
  'clipse'
}

return config
